### Method

# Gdk.Drop.read_async

#### Declaration [src]

    void
    gdk_drop_read_async (
      GdkDrop* self,
      const char** mime_types,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously read the dropped data from a `GdkDrop` in a format that complies with one of the mime types.

#### Parameters

`mime_types` | An array of `utf8`
    pointer to an array of mime types
| Ownership is not transferred to the callee
`io_priority` | `int`
| the I/O priority for the read operation
`cancellable` | `GCancellable*`
| optional `GCancellable` object, `NULL` to ignore
| Can be `NULL`
| Ownership is not transferred to the callee
`callback` | `GAsyncReadyCallback`
| a `GAsyncReadyCallback` to call when the request is satisfied
`user_data` | `gpointer`
| the data to pass to `callback`